=============================================================================
         Intel(R) Server Platform Integrated BMC Firmware Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================
DATE:       April 07, 2011

TO:         Intel(R) Server Platform S5500BC, S5520HC, S5520SC, S5520UR,
	    S5520WB, S5520WBV & Green City customers

SUBJECT:    Integrated BMC(R) firmware 00.56 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (c) 2011 Intel Corporation.

A portion of this firmware is open source code.
You can download a tarball of this open source code at the following public
Intel site: 
http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=17649

This open source code falls under the GPL 2.0 license, please see the license
at the following link:
http://www.opensource.org/licenses/gpl-2.0.php  

=============================================================================
                            ABOUT THIS RELEASE PACKAGE
=============================================================================
REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   00.56
UBoot mode:	    00.18
Device ID:	    0x21
Manufacturer ID:    0x000157
Product ID:         0x003E

Other version/revision information:
Root/OS/WWW:        9.18 
FWPIAUPD:           4.0.2 Build 10
Release Notes:      00.56 rev 1.0

Checksum information:
UBoot
  Region:       0x0000000 - 0x0040000
  32bit CRC:	0x7481DA29

Entire BMC_0056.ima image including UBoot, params, operating system, root,
WWW and CIM data
  Region:       0x0000000 - 0x1000000
  32bit CRC:    0x5ED4BDDA

Source control baselines:
  IBMC_CORE_SRC_R0056 (Core)
  IBMC_THURLEY_R0056 (Platform)

=============================================================================
                         IMPORTANT INSTALLATION NOTES
=============================================================================
- The following update process must be followed to ensure a trouble free updating
  of your baseboard.
	1.BMC firmware to 00.56 or later
	2.BIOS R0057 or later
	3.Manageability Engine (ME) firmware 01.12 or later
	4.Hot-swap backplane HSC firmware 2.17 specific to the chassis
	5.Latest FRU/SDR package specific to the baseboard.

=============================================================================
              INSTALLATION PROCEDURE WITH BMC 00.40 PREINSTALLED
=============================================================================
1. If BMC 00.40 has not been installed then please install that release first
   prior to installing this 00.56 release. The BMC 00.40 update contains
   a critical boot block update which must be present before installing this
   00.56 release.

2. Copy the entire contents of the BMC_0056.zip archive file to the storage 
   medium of your choice. This can be a hard disk, floppy disk or USB
   flash drive.
   All of the files in the zip archive must reside in the same directory.

3. Boot to EFI and then run the updBMC.nsh script file to update the
   Integrated BMC and Intel(R) Remote Management Module 3 firmware.

   Using fwpiaupd.efi with your own command line parameters is not supported
   and doing so is at your own risk!

4. Install latest available FRU/SDR package.

=============================================================================
                 KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
=============================================================================
- Users of the KVM feature will need to install the client Java JRE software
  otherwise the KVM redirection application will not launch. 
  The latest Java Runtime Environment (JRE) update can be downloaded from here:
  http://www.java.com/en/

===============================================================================
                           ISSUES FIXED
00.56:
- Fan fault LED is not light when generating lower critical events for sensor 0x39
- RMM3 Sensor Readings - Thresholds for HSBP read as 0

00.55
- Exiting SMASH SOL does not return serial mux to external port 
- Power unit failure sel was logged when IOH thermal trip is generated
- Power unit failure sel is logged when processor thermal trip is generated
- IOH thermal trip always generate 1-5-4-2 beep code and event log for power failure
- Russian symbols are scrambled when using KVM-redirection.
- Request to revert fan power drive received completion code C1h
- Fail to bulid a .ima file use the RMM3 EWS OEM Customization kit under BMC54
- RMM3 customization failing with BMC54

00.54
- last state of AC power loss setting no function after several AC cycles
- POH counter increases when system is powered-off 
- POST code LEDs do not correctly indicate error code for no DIMMs installed 

00.53
- [X] No drive events in SEL when applying AC and booting in <10 seconds
- Unable to control fan connected to MEM1 Fan header (J9A3)

00.52
- Users are enabled by default when they should not be. 
- "Pwr Unit Redund" sensor triggers unexpected event after "Run Initialization Agent" command is sent
- Set Sensor Event Enable not preserving bits during a set operation
- Run Init agent not following scanning enable bit for all sensors


00.51
    - Get ProdID and Get RevID sometimes fail
  
00.49
    - Fix potential memmap error (no tracker) 
    - EWS users with operator privilege level unable to do power operations 
    - 1.5v MEM voltage sensor report error when using 1.35v DDR
    - [X] Fans ramp up but do not spin down after Stress SW is removed  
    - KCS Interface becomes unresponsive when SEL is 80% full 
    - Unable to ping the server when DHCP HOST name contains space (e.g: xyz abc ) 
    - [X] A 1-5-4-2 beep code is generated using FP to power off (3rd party PS, custom chassis)
    - Power Supply lost event in SEL
    - [X] BMC Port loses connection on System Reset causing BIOS output loss with SOL and KVM.
    - FP PWR LED is still on after system is off
    
00.48
    - WB:SMASH Test "SOL Command" failed 
    - remote K/M halts after un-redirecting CDROM 
    - RMM3 -- KVM display bottom is sometimes black at 24bpp 
    - RMM3 Remote KVM connection will be lost by using x64 JRE (For Linux)

00.47
    - WB: "Last BMC Processed Event ID" is not matching with the last SEL Record ID.  
    - FW crash and require re-flash after sdr_reservationCancellation test
	  - UBOOT env variable for product ID getting deleted randomly 
    - BMC came crash after Exit Firmware Transfer Mode
	  - IPMITool or Freeipmi utility cause the BMC to hang
    - System does not power back on when doing AC cycle testing and 
    	the “Last State" is set in BIOS.
    - A larger surplus of events will be logged if remove one of the
	    redundancy power cable
    - BMC is not responding during system DC power cycle stress under BMC 00.45

00.46
    - There is no SEL logged after clear SEL twice. 
    - No entries found in the system Event log after clearing SEL twice 
    - RMM3 Web Console - cannot change the password for the anonymous user
    - Mismatched CPUs Fails to Light Amber LED
    - Suspend BMC ARPs Command not fully implemented
    - Suspend BMC ARPs for Gratuitous ARPs not working correctly
	  - Sometimes after updating FW, all settings are lost
    - There is no SEL log after clear SEL twice
    - The frame of EWS pages doesn't adapt itself to the windows under Mozilla Firefox 3
    
00.45
    -  Fail to control the fan speed via Set SM signal command

00.44
    -  RMM3 Softkeyboard has many blank keys 
    -  ARP cannot be disabled on the BMC
    -  Setting of Backup Gateway IP fails in DHCP mode
    -  Mouse Mode setting needs comments "Set Mode to Absolute - Linux" and "Set Mode to Relative - Windows"

00.43
    -  Processor thermal trip bit is not cleared after manual rearm 
    -  Spelling error for 'Both' compression option help in KVM 
    -  Get ACPI power state return Undefined when system power off (S5-Soft off). 
    -  Removing a fan from S5520UR system with redundant fans does not cause fans to boost
    -  Get ACPI power state" command response is incorrect when press power
	  button to turn off system

00.42
    -  Local Control Panel fails to update on S5520SC using fwpiaupd utility build 6 under WinPE 1.5 
    -  Alt Key and Ctrl key function from Keyboard menu isn't normal within KVM session  
    -  Processor thermal ctrl% sendor won't become normal after CPU usage/temperature goes down
    -  No asserted event logged for power supply configuration error
    -  BMC responds with error completion code when set DHCP Hostname with
          less than 16 bytes

00.41:
    -  RMM3 does not support user definable keyboard macros  
    -  Get Session Info command can't get the remote IP and MAC of remote console
    -  BMC didn't generate 1-5-2-1 beep code for cpu missing. 
    -  The present ACPI Power State is wrong under DOS.

00.40:
    -  Temperature sensors cannot be access in stand-by 
    -  BB +1.8V AUX voltage sensor (0x15) cannot be read while the system is
       in a DC off (stand-by) power state
    -  Email alert is not getting generated to 2 destinations simultaneously

00.39
    -  System restart cause is incorrect with different power restore policy 
    -  Get System Restart Cause fail in some restart action.
    -  The response data is wrong when issuing Set Power Restore Policy
	  Command with reserved bytes.
    -  RMM3: Web server feature is not functional after BMC firmware update to 00.37
    -  system restart cause should NOT be changed by watchdog timer power down
    -  "Get ACPI Power State command" responds wrong when system is in S5 state


00.38
    -  Client failed to receive SNMP traps sent by server
    -  Web server feature is not functional after BMC 00.37 firmware update

00.37
    -  VLAN - DCMI "Get DCMI Capability Info"  indicates functionality not supported
    -  BMC doesn't respond after DC Power OFF
    -  BMC Generated ARP Control Disabled
    -  It is not able to set VLAN ID to 1
    -  VLAN ID should not be set to 4095
    -  VLAN: Pings fail when VLAN is disabled after changing VLAN ID multiple times
    -  VLAN: Destination Address VLAN TAGs fails to send to VLAN
    -  RMM3 International keyboard support between Linux client and Linux target is not correct
    -  RMM3 Web server cannot display baseboard FRU data except information provided by standard FRU file
    -  RMM3 EWS Event Log is not decoding all events - sensor names=unknown
    -  RMM3 EWS Web Console System_Information page throws error when reading Firmware Information

00.36
    -  RMM3 does not support user blocking from failed login attempts
    -  System fans boosting twice after an AC cycle or a Ctrl-Alt-Del
    -  Systems with static IPs are not able to ping after disable VLAN
    -  Systems on a same VLAN ID are not able to ping 
    -  Fans boost while reading the System Event Log from the RMM3 web server
    -  RMM3 Cannot change the password for the anonymous user
    -  RMM3 Cannot redirect USB flash device to a RHEL 5.x server
    -  RMM3 Email alerting does not happen when the SEL is full
    -  RMM3 EWS Sensor list is blank when use 800x600 screen resolution under BMC00.29

00.35
    -  RMM3 KVM-Using RHEL server & client can only redirect USB device once
    -  RMM3 KVM:  cannot redirect USB devices from RHEL client to Windows Server
    -  RMM3 Fans boost intermittently when system is reset using a Ctrl-Alt-Del
    -  Sometimes memory thermal margin sensors event logged when power cycle using EWS
    -  Datacenter Manager cannot talk to the BMC with BMC34 or BMC33 installed
    -  The frame of EWS pages doesn't adapt itself to the windows under different
       screen resolution


00.34
    -  Fan critical / non-critical events logged during AC cycle over night test.
    -  BMC 00.33 does not fully support the settings migration feature  
    -  Fail to send Alert Immediate command to execute a PET through LAN1.

00.33
    -  Resume on AC Power Loss function fail on [Last state]
    -  No event logged for Power Unit - AC lost after pull out power cords
    -  RKVM operation delay in BIOS utility
    -  BMC IPMISTACK freezes upon stress test 
    -  Add ICH CPUPWR_FLR detection on PU Failure 
    -  KVM absolute mouse mode is non-fuctional when using Windows 
    -  BMC hanging during the IPMITOOL script stress test which contains LAN setting. 
    -  No SEL log was generated when the system was power down by IOH thermal trip


00.32:
    -  Get SEL Alloc Info FreeUnits failed when Add SEL Entry to deposit record to full
    -  RKVM: action from Remote mouse is asynchronous with local mouse in RHEL x32.
    -  RKVM: It takes over 3 hours to install OS via RMM3 LAN.
    -  Intel(R) RMM3 - RAID Op ROM configuration (Ctrl-G) mouse doesn't work in Remote KVM
    -  Intel(R) RMM3 - IPMI Error pop-up windows displayed in EWS
    -  Verify using Platform Event Meg to deposit records in SEL Device until full fail
    -  Threshold sensors can generate invalid events
    -  BMC  web page -- HSC sensor readings are displayed incorrectly
    -  RKVM: The numpad and Direction keys are malfunction while in RKVM sometimes.
    -  RKVM: No video output to rKVM while set SUT display size to 1280x1024.
    -  EWS:Error Manufacturing Data shown in FRU information on FAB4 server board.
    -  RKVM: Duplicate input show up while refresh Video in DOS/EFI.
    -  RKVM: Error reading video data shown during boot into Windows 2003.
    -  [RKVM]Mouse can't select top menu items while set to Relative mode.
    -  Add ICH CPUPWR_FLR detection on PU Failure
    -  Fan speeds are boost by chassis intrusion.

00.31:
    -  No event logged for Power Unit - AC lost after pull out power cords
    -  Change Hyper-Threading or MultiProcessing will alarm beep code 1-5-4-2 
    -  IOH thermal trip doesn't work when IOH temperature increase
    -  Fan speed boost and running full speed in BIOS setup after AC cycle.
    -  Cleared SEL events reappear on A/C cycle - eventually SEL fills and won't log new events
    -  Power restore policy not working - BMC flash full or corrupted
    -  Fans run at 100% during BIOS POST
    -  Integrated BMC has intermittent SEL write failures

00.30:
    -  Incorrect SEL entry for CPU missing in BMC_0023
    -  Processor Thermal Events incorrectly logged in SEL 
    -  Baseboard voltage sensors 0x11 and 0x13 always indicates LC reading  
    -  Incorrect SEL entry for Thermal trip
    -  Incorrect indication by "Processor 1 Status" sensor (0x60) with 1CPU
    -  HSC and ME firmware revision values in BIOS got corrupted
    -  Get Sensor Reading for physical security sensor return mismatch.  
    -  Selviewer 2.0.1 build 6 : upon removal of CPU 2, SELViewer still detects the CPU2
    -  The status fault LED isn't amber blinking when Tach Fan
       sensor lower critical event occurs.
    
00.29:
    -  Embedded Web Service:Logging with the SLES LDAP Server source failed. 
    -  RAID Op ROM configuration (Ctrl-G) mouse doesn't work in Remote KVM
    -  LAN Leash Lost events logged during DC cycle test. 
    -  Fan critical / non-critical events logged during DC cycle test. 
    -  RMM3 KVM support re-sync of mouse pointers 
    -  RMM3 shows unsupported Low-High NR thresholds 
    -  Sol Redirection fails when exiting the efi screen  
    -  BMC -- read RTC via ICH10 instead of getting time from the BIOS 
    -  Incorrect onboard Fault LED indication for system fan1 and  fan2 
    -  Fan critical / non-critical events logged during AC cycle over night test.
    -  Status LED blinking at a very slow rate for non-critical event 
    -  RMM Web Console newly created account privilege wrong
    -  IOH Therm Margin critical events logged during AC/DC cycle test. 
    -  Mem P2 Thrm Mrgn critical event is logged during DC cycle test
    -  Not able to set User privilege level for channel 3 using EWS 
    -  RMM3 Web Console KVM needs inform user when there is no video signal
    -  RMM3 Web Console:  Sensor Readings - need to remove the NR columns when thresholds are enabled
    -  RMM3 user doesnt get administrator priv.
    -  Embedded Web Console - User with 'user' privilege cannot view Configuration Tab; sees improper page instead.
    -  RMM3 KVM Virtual Media does not recognize USB flash drive when run from a Vista client
    -  BMC Update fails from OFU Windows / Linux (via USB Interface)
    -  Backup gateway IP  is getting copied to default gateway ip address when lan parameters are set to Static
    -  Embedded Web Console fails to establish Administrator privilege when adding new user.
    -  Sensor Reading for Voltage Sensor #12 and 14 are incorrect when CPU2 is not present
    -  User can not login EWS with valid user name and password after logining failed with very long username
    -  BMC gives error when trying to get SMTP parameters 5, 8 and 9
    -  Email alerting does not happen when the SEL is full.


00.28:
    -  IOH Tcontrol value is ~54C, TMDG specifies Tcontrol =92C

=============================================================================
                           FEATURES ADDED
=============================================================================
00.55
- Secure JSON interface for IHC
- Enhancements to (IHC requirements) and SSL Certificate insertion feature
- Removal of Read SSL file command for IHC support

00.54
- None

00.53
- Modified fan speed offset to increase domain max curve
- Add fan speed offset commands


00.52
- Reduce RMM Virtual keyboard USB poll rate (bInterval) from 1mS to 10mS

00.51
- Have BMC respond to IPMI command for a Cold Reset

00.49
- Add GPIO interruptible capability. 
- Update Intel's pwm h files with GPL licensing and headers 
- Add support for command to return processor TDC value

00.48
- Add support for Telco Alarm Manager and its front panel HW. 

00.47
- None

00.46
- Added support for LV-DDR3 (1.35v) DIMM voltage sensors

00.45
- None

00.44
- None

00.43
- Added check to makre sure only available HSC controllers are polled from BMC
  to push Power state to HSC

00.42
- Access to system asset information over OOB
- Resolved IPMB deadlock issue when more than one IPMB message transaction is
  initialted internally from BMC.

00.41
- None

00.40
    -  Add support for W25Q64 flash part

00.39
    -  Add Soft keyboard on KVM over IP console

00.38
    -  None

00.37
    -  Add a button sensor support for front panel power and reset buttons
    -  Add Disk Temperature Sensor for S5500WB and S5500WB12V


00.36
    -  LDAP is advanced feature now
    -  VLAN support 

00.35:
    -  None

00.34:
    -  None

00.33:
    -  None

00.32:
    -  Workaround to avoid uboot changes for 1280x1024 resolution

00.31:
    -  None

00.30:
    -  None

00.29:
    -  Add Technical Marketing clarification text to Web Console Help messages.

00.28:
    -  None

[END OF RELEASE NOTES]
